# class Gem::SpecificGemNotFoundException

Raised by the DependencyInstaller when a specific gem cannot be found

### Attributes

errors[R]

Errors encountered attempting to find the gem.

name[R]

The name of the gem that could not be found.

version[R]

The version of the gem that could not be found.

### Public Class Methods

new(name, version, errors=nil) click to toggle source

Creates a new `SpecificGemNotFoundException` for a gem with the given `name` and `version`. Any `errors` encountered when attempting to find the gem are also stored.

Calls superclass method `Exception::new`

    # File lib/rubygems/exceptions.rb, line 116
    def initialize(name, version, errors=nil)
      super "Could not find a valid gem '#{name}' (#{version}) locally or in a repository"

      @name = name
      @version = version
      @errors = errors
    end